# hpgs_device_vtable_st Struct Reference
[Basic vector graphics devices.]

A table of virtual function implementing `hpgs_device`. More...

`#include <hpgs.h>`

## Data Fields
const char * | rtti
int(* | moveto )(hpgs_device *_this, const hpgs_point *p)
int(* | lineto )(hpgs_device *_this, const hpgs_point *p)
int(* | curveto )(hpgs_device *_this, const hpgs_point *p1, const hpgs_point *p2, const hpgs_point *p3)
int(* | newpath )(hpgs_device *_this)
int(* | closepath )(hpgs_device *_this)
int(* | stroke )(hpgs_device *_this)
int(* | fill )(hpgs_device *_this, hpgs_bool winding)
int(* | clip )(hpgs_device *_this, hpgs_bool winding)
int(* | clipsave )(hpgs_device *_this)
int(* | cliprestore )(hpgs_device *_this)
int(* | setrgbcolor )(hpgs_device *_this, const hpgs_color *rgb)
int(* | setdash )(hpgs_device *_this, const float *, unsigned, double)
int(* | setlinewidth )(hpgs_device *_this, double)
int(* | setlinecap )(hpgs_device *_this, hpgs_line_cap)
int(* | setlinejoin )(hpgs_device *_this, hpgs_line_join)
int(* | setmiterlimit )(hpgs_device *_this, double l)
int(* | setrop3 )(hpgs_device *_this, int rop, hpgs_bool src_transparency, hpgs_bool pattern_transparency)
int(* | setpatcol )(hpgs_device *_this, const hpgs_color *rgb)
int(* | drawimage )(hpgs_device *_this, const hpgs_image *img, const hpgs_point *ll, const hpgs_point *lr, const hpgs_point *ur)
int(* | setplotsize )(hpgs_device *_this, const hpgs_bbox *bb)
int(* | getplotsize )(hpgs_device *_this, int i, hpgs_bbox *bb)
int(* | showpage )(hpgs_device *_this, int i)
int(* | finish )(hpgs_device *_this)
int(* | capabilities )(hpgs_device *_this)
void(* | destroy )(hpgs_device *_this)

## Detailed Description

A table of virtual function implementing `hpgs_device`.

This structure has a public alias `hpgs_device_vtable` and represents a table of functions for a specific implementation of `hpgs_device`.

The function names are deliberately similar to the corresponding functions of the PostScript programming language.

The documentation for this struct was generated from the following file:

- hpgs.h